Package Details: bmap-tools 3.7-1

Git Clone URL: https://aur.archlinux.org/bmap-tools.git (read-only, click to copy)
Package Base: bmap-tools
Description: Tool optimized for copying largely sparse files using information from a block map (bmap) file
Upstream URL: https://github.com/intel/bmap-tools
Keywords: bmap python
Licenses: GPL2
Submitter: pnorcks
Maintainer: 2bluesc
Last Packager: 2bluesc
Votes: 13
Popularity: 0.45
First Submitted: 2013-04-04 01:47 (UTC)
Last Updated: 2023-11-20 04:07 (UTC)

Latest Comments

1 2 Next › Last »

2bluesc commented on 2024-05-17 16:19 (UTC)

@riv91 rebuilding this project (and all python packages) after installing python 3.12 is the recommended way.

riv91 commented on 2024-05-17 14:44 (UTC)

I have fixed the error "PackageNotFoundError" on latest Arch by copying files from the package not only to "/usr/lib/python3.11/" but also to "/usr/lib/python3.12/".

2bluesc commented on 2023-11-20 04:09 (UTC)

@jsimon0 oops. Not sure how I messed that up, but fixed now. Thanks for catching it.

jsimon0 commented on 2023-11-20 03:38 (UTC)

I think that last commit wasn't what you wanted my friend...PKGBUILD is entirely empty

julian.poidevin commented on 2023-05-24 07:19 (UTC)

@askebm Amazing ! That worked for me ! I only just needed to clean install the bmap-tools after reinstalling all python packages to get it finally working. Thanks a lot.

askebm commented on 2023-05-24 07:14 (UTC)

@akif @2bluesc I had the same issue. I ended up reinstalling all python packages to get it working yay -S --rebuild $(yay -Q | grep python | awk '{print $1}')

akif commented on 2023-05-15 03:14 (UTC) (edited on 2023-05-15 03:18 (UTC) by akif)

@2bluesc I am also getting the same error as @julian.poidevin.

Traceback (most recent call last):
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 563, in from_name
return next(cls.discover(name=name))
       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/bmaptool", line 33, in <module>
    sys.exit(load_entry_point('bmap-tools==3.6', 'console_scripts', 'bmaptool')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/bmaptool", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
                   ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 981, in distribution
    return Distribution.from_name(distribution_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 565, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for bmap-tools

2bluesc commented on 2023-05-10 00:12 (UTC)

@julian.poidevin I think something is wrong with your python environment, I can't reproduce this:

~ ❯❯❯ python3 --version
Python 3.11.3
~ ❯❯❯ bmaptool
usage: bmaptool [-h] [--version] [-q] [-d] {create,copy} ...
bmaptool: error: the following arguments are required: command
~ ❯❯❯ bmaptool --version
bmaptool 3.6

julian.poidevin commented on 2023-05-09 14:53 (UTC)

Broken for me with Python 3.11.3.

❯ bmaptool
Traceback (most recent call last):
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 563, in from_name
    return next(cls.discover(name=name))
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/bmaptool", line 33, in <module>
    sys.exit(load_entry_point('bmap-tools==3.6', 'console_scripts', 'bmaptool')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/bmaptool", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
                       ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 981, in distribution
    return Distribution.from_name(distribution_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/importlib/metadata/__init__.py", line 565, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for bmap-tools

My python version :

❯ python3 --version
Python 3.11.3

When trying to install metadata :

❯ pip3 install metadata
Defaulting to user installation because normal site-packages is not writeable
Collecting metadata
  Using cached metadata-0.2.tar.gz (1.5 kB)
  Preparing metadata (setup.py) ... done
INFO: pip is looking at multiple versions of metadata to determine which version is compatible with other requirements. This could take a while.
  Using cached metadata-0.1.1.tar.gz (1.5 kB)
  Preparing metadata (setup.py) ... done
  Using cached metadata-0.1.tar.gz (1.1 kB)
  Preparing metadata (setup.py) ... done
ERROR: Cannot install metadata==0.1, metadata==0.1.1 and metadata==0.2 because these package versions have conflicting dependencies.

The conflict is caused by:
    metadata 0.2 depends on hachoir-core==1.3.3
    metadata 0.1.1 depends on hachoir-core==1.3.3
    metadata 0.1 depends on hachoir-core==1.3.3

To fix this you could try to:
1. loosen the range of package versions you've specified
2. remove package versions to allow pip attempt to solve the dependency conflict

ERROR: ResolutionImpossible: for help visit https://pip.pypa.io/en/latest/topics/dependency-resolution/#dealing-with-dependency-conflicts

cw1911 commented on 2022-07-27 12:04 (UTC)

During my use of the tool, I have also found that this package requires python-six as a dependency:

[build@9a7d4d5e6a82 /]$ bmaptool --help
Traceback (most recent call last):
  File "/usr/sbin/bmaptool", line 33, in <module>
    sys.exit(load_entry_point('bmap-tools==3.6', 'console_scripts', 'bmaptool')())
  File "/usr/sbin/bmaptool", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 171, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/bmaptools/CLI.py", line 42, in <module>
    from bmaptools import BmapCreate, BmapCopy, BmapHelpers, TransRead
  File "/usr/lib/python3.10/site-packages/bmaptools/BmapCopy.py", line 65, in <module>
    from six import reraise
ModuleNotFoundError: No module named 'six'